Mail archive
alpine-aports

[alpine-aports] [PATCHv2] testing/ubase: update to 557955

From: Drew DeVault <sir_at_cmpwn.com>
Date: Sun, 14 Jan 2018 22:50:14 -0500

---
Sorry about this noise, I didn't realize I screwed up the indentation
until I saw it in my INBOX.
 testing/ubase/APKBUILD | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)
diff --git a/testing/ubase/APKBUILD b/testing/ubase/APKBUILD
index 4ba0ceb0ed..c9c0f6abe6 100644
--- a/testing/ubase/APKBUILD
+++ b/testing/ubase/APKBUILD
_at_@ -1,25 +1,33 @@
 # Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Contributor: Drew DeVault <sir_at_cmpwn.com>
 # Maintainer: Ivan Tham <pickfire_at_riseup.net>
+_commit=55795531f03ccb5a41cf80fd564b862c103252cc
 pkgname=ubase
-pkgver=0.1
-pkgrel=1
+pkgver=0.1._git$(echo $_commit | cut -c-6)
+pkgrel=0
 pkgdesc="Suckless collection of unportable base"
 url="http://core.suckless.org/ubase"
 arch="all"
 license="MIT"
 subpackages="$pkgname-doc"
-source="http://dl.suckless.org/$pkgname/$pkgname-$pkgver.tar.gz"
-options="!check"
-builddir="$srcdir/"$pkgname-$pkgver
+source="https://git.suckless.org/$pkgname/snapshot/$pkgname-$_commit.tar.gz"
+builddir="$srcdir/"$pkgname-$_commit
+options="$options suid"
 
 build() {
 	cd "$builddir"
 	make || return 1
 }
 
+check() {
+	cd "$builddir"
+	./ps -h || [ $? -eq 1 ] || return 1
+}
+
 package() {
 	cd "$builddir"
+	chmod a+s passwd
 	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
 }
 
-sha512sums="3d9feed9670cf2ad6a8af32d1ecf3c206c81c618ed4548127ff2ab18bf03dd31fb89abf7fc598c4422aa348099a62cf7bc0f7c5dbf652ecd0349afb5a1f30b34  ubase-0.1.tar.gz"
+sha512sums="cb24d359821cb84a3777eb0a6842c0aac5d244f99df43f90254d5a6a822940d0daab878a88fb2dbc3c7697c532e58b5818ce29fa742d53a7210cea1c2bdefbd8  ubase-55795531f03ccb5a41cf80fd564b862c103252cc.tar.gz"
-- 
2.15.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jan 14 2018 - 22:50:14 GMT